org.apache.ode.bpel.pmapi.impl

## Class TFaultInfoImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.TFaultInfoImpl

- All Implemented Interfaces:
    java.io.Serializable, TFaultInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TFaultInfoImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TFaultInfo

  An XML tFaultInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TFaultInfoImpl.DataImpl` An XML data(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TFaultInfo

      `TFaultInfo.Data, TFaultInfo.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.TFaultInfo

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFaultInfoImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TFaultInfo.Data` | `addNewData()` Appends and returns a new empty "data" element
    `int` | `getAiid()` Gets the "aiid" element
    `TFaultInfo.Data` | `getData()` Gets the "data" element
    `java.lang.String` | `getExplanation()` Gets the "explanation" element
    `int` | `getLineNumber()` Gets the "line-number" element
    `javax.xml.namespace.QName` | `getName()` Gets the "name" element
    `boolean` | `isSetData()` True if has "data" element
    `void` | `setAiid(int aiid)` Sets the "aiid" element
    `void` | `setData(TFaultInfo.Data data)` Sets the "data" element
    `void` | `setExplanation(java.lang.String explanation)` Sets the "explanation" element
    `void` | `setLineNumber(int lineNumber)` Sets the "line-number" element
    `void` | `setName(javax.xml.namespace.QName name)` Sets the "name" element
    `void` | `unsetData()` Unsets the "data" element
    `org.apache.xmlbeans.XmlInt` | `xgetAiid()` Gets (as xml) the "aiid" element
    `org.apache.xmlbeans.XmlString` | `xgetExplanation()` Gets (as xml) the "explanation" element
    `org.apache.xmlbeans.XmlInt` | `xgetLineNumber()` Gets (as xml) the "line-number" element
    `org.apache.xmlbeans.XmlQName` | `xgetName()` Gets (as xml) the "name" element
    `void` | `xsetAiid(org.apache.xmlbeans.XmlInt aiid)` Sets (as xml) the "aiid" element
    `void` | `xsetExplanation(org.apache.xmlbeans.XmlString explanation)` Sets (as xml) the "explanation" element
    `void` | `xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)` Sets (as xml) the "line-number" element
    `void` | `xsetName(org.apache.xmlbeans.XmlQName name)` Sets (as xml) the "name" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TFaultInfoImpl

          public TFaultInfoImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getName

          public javax.xml.namespace.QName getName()

      Gets the "name" element
      Specified by:
        `getName` in interface `TFaultInfo`

    - #### xgetName

          public org.apache.xmlbeans.XmlQName xgetName()

      Gets (as xml) the "name" element
      Specified by:
        `xgetName` in interface `TFaultInfo`

    - #### setName

          public void setName(javax.xml.namespace.QName name)

      Sets the "name" element
      Specified by:
        `setName` in interface `TFaultInfo`

    - #### xsetName

          public void xsetName(org.apache.xmlbeans.XmlQName name)

      Sets (as xml) the "name" element
      Specified by:
        `xsetName` in interface `TFaultInfo`

    - #### getExplanation

          public java.lang.String getExplanation()

      Gets the "explanation" element
      Specified by:
        `getExplanation` in interface `TFaultInfo`

    - #### xgetExplanation

          public org.apache.xmlbeans.XmlString xgetExplanation()

      Gets (as xml) the "explanation" element
      Specified by:
        `xgetExplanation` in interface `TFaultInfo`

    - #### setExplanation

          public void setExplanation(java.lang.String explanation)

      Sets the "explanation" element
      Specified by:
        `setExplanation` in interface `TFaultInfo`

    - #### xsetExplanation

          public void xsetExplanation(org.apache.xmlbeans.XmlString explanation)

      Sets (as xml) the "explanation" element
      Specified by:
        `xsetExplanation` in interface `TFaultInfo`

    - #### getLineNumber

          public int getLineNumber()

      Gets the "line-number" element
      Specified by:
        `getLineNumber` in interface `TFaultInfo`

    - #### xgetLineNumber

          public org.apache.xmlbeans.XmlInt xgetLineNumber()

      Gets (as xml) the "line-number" element
      Specified by:
        `xgetLineNumber` in interface `TFaultInfo`

    - #### setLineNumber

          public void setLineNumber(int lineNumber)

      Sets the "line-number" element
      Specified by:
        `setLineNumber` in interface `TFaultInfo`

    - #### xsetLineNumber

          public void xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)

      Sets (as xml) the "line-number" element
      Specified by:
        `xsetLineNumber` in interface `TFaultInfo`

    - #### getAiid

          public int getAiid()

      Gets the "aiid" element
      Specified by:
        `getAiid` in interface `TFaultInfo`

    - #### xgetAiid

          public org.apache.xmlbeans.XmlInt xgetAiid()

      Gets (as xml) the "aiid" element
      Specified by:
        `xgetAiid` in interface `TFaultInfo`

    - #### setAiid

          public void setAiid(int aiid)

      Sets the "aiid" element
      Specified by:
        `setAiid` in interface `TFaultInfo`

    - #### xsetAiid

          public void xsetAiid(org.apache.xmlbeans.XmlInt aiid)

      Sets (as xml) the "aiid" element
      Specified by:
        `xsetAiid` in interface `TFaultInfo`

    - #### getData

          public TFaultInfo.Data getData()

      Gets the "data" element
      Specified by:
        `getData` in interface `TFaultInfo`

    - #### isSetData

          public boolean isSetData()

      True if has "data" element
      Specified by:
        `isSetData` in interface `TFaultInfo`

    - #### setData

          public void setData(TFaultInfo.Data data)

      Sets the "data" element
      Specified by:
        `setData` in interface `TFaultInfo`

    - #### addNewData

          public TFaultInfo.Data addNewData()

      Appends and returns a new empty "data" element
      Specified by:
        `addNewData` in interface `TFaultInfo`

    - #### unsetData

          public void unsetData()

      Unsets the "data" element
      Specified by:
        `unsetData` in interface `TFaultInfo`